Theli GUI installation

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

Theli GUI installation

Beitragvon Zyrusthc » Freitag 2. Mai 2014, 19:23

Ich versuche derzeit die Theli Gui auf meiner Workstation zum laufen zu bringen. Aber an irgendetwas scheitert es. Ich selbst bin mehr als 10 Jahre Linuxbenutzer und komme im System eigentlich recht gut klar. Meine Distribution die ich verwende ist Mageia 4 "64Bit" um gleich hier antworten vorzubeugen ich solle doch Ubuntu installieren, da ich schon immer den MDK Zweig nutze. Zur Anmerkung : Da es über meinen Paketmanager kein qt3 mehr gibt habe ich mir mit alien und der qt3-dev-tools_3.3.8b-7+b1_i386.deb beholfen , was dann als RPM sich installieren lies.

Derzeit sieht es so aus als wenn alles problemlos durchläuft aber am Ende kommt das die Fehlermeldung. Ich hänge hier mal das gesammte Log an was mir die Shell ausspuckt. Vielleicht habe ich ja was übersehen. Das was mir aufgefallen ist das irgenwo eine pam.h nicht gefunden hat und das es mit netpbm zusammen hängen muss.
Installiert ist aber soweit alles wenn ich nichts übersehen habe.
Code: Alles auswählen
[root@workstation gui-2.8.3]# rpm -qla | grep netpbm
/usr/lib64/libnetpbm.a
/usr/share/netpbm-10.57.01
/usr/share/netpbm-10.57.01/palmcolor8.map
/usr/share/netpbm-10.57.01/palmgray1.map
/usr/share/netpbm-10.57.01/palmgray2.map
/usr/share/netpbm-10.57.01/palmgray4.map
/usr/share/printconf/mf_rules/mf50-netpbm_filters
/usr/share/printconf/tests/netpbm.test-image.bmp
/usr/share/printconf/tests/netpbm.test-image.gif
/usr/share/printconf/tests/netpbm.test-image.im1
/usr/share/printconf/tests/netpbm.test-image.jpg
/usr/share/printconf/tests/netpbm.test-image.png
/usr/share/printconf/tests/netpbm.test-image.pnm
/usr/share/printconf/tests/netpbm.test-image.rgb
/usr/share/printconf/tests/netpbm.test-image.tiff
/usr/include/multiarch-x86_64-linux/netpbm/pm_config.h
/usr/include/netpbm
/usr/include/netpbm/bitio.h
/usr/include/netpbm/colorname.h
/usr/include/netpbm/mallocvar.h
/usr/include/netpbm/pam.h
/usr/include/netpbm/pamdraw.h
/usr/include/netpbm/pammap.h
/usr/include/netpbm/pbm.h
/usr/include/netpbm/pbmfont.h
/usr/include/netpbm/pgm.h
/usr/include/netpbm/pm.h
/usr/include/netpbm/pm_config.h
/usr/include/netpbm/pm_gamma.h
/usr/include/netpbm/pm_system.h
/usr/include/netpbm/pnm.h
/usr/include/netpbm/ppm.h
/usr/include/netpbm/ppmcmap.h
/usr/include/netpbm/ppmdfont.h
/usr/include/netpbm/ppmdraw.h
/usr/include/netpbm/ppmfloyd.h
/usr/include/netpbm/shhopt.h
/usr/lib64/libnetpbm.so
/usr/share/man/man3/libnetpbm.3.xz
/usr/share/man/man3/libnetpbm_draw.3.xz
/usr/share/man/man3/libnetpbm_image.3.xz
/usr/share/man/man3/libnetpbm_ug.3.xz
/usr/lib64/libnetpbm.so.11
/usr/lib64/libnetpbm.so.11.57
/usr/share/doc/lib64netpbm11
/usr/share/doc/lib64netpbm11/COPYRIGHT.PATENT
/usr/share/doc/lib64netpbm11/GPL_LICENSE.txt
/usr/share/doc/lib64netpbm11/HISTORY
/usr/share/doc/lib64netpbm11/INSTALL
/usr/share/doc/lib64netpbm11/Netpbm.programming
/usr/share/doc/lib64netpbm11/README.CYGWIN
/usr/share/doc/lib64netpbm11/USERDOC
/usr/share/doc/lib64netpbm11/copyright_summary
/usr/share/doc/lib64netpbm11/lgpl_v21.txt
/usr/share/doc/lib64netpbm11/netpbm.1
/usr/share/doc/lib64netpbm11/netpbm.html



Danke für die Hilfestellung. Hier noch ein Verweis auf meinen "Multipost" http://www.linuxforen.de/forums/showthread.php?t=276764

Greeez Oli
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz

Re: Theli GUI installation

Beitragvon mischa » Freitag 2. Mai 2014, 21:28

Hi Oli,

da stimmt was mit deinen Qt3 Pfaden nicht. Was bekommst du, wenn du in der shell "qmake -v" aufrufst?

mischa
mischa
Moderator
 
Beiträge: 986
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Theli GUI installation

Beitragvon Zyrusthc » Samstag 3. Mai 2014, 00:19

Ich habe den Übeltäter in der Sache gefunden. Es hat sich noch lib64qt4-devel auf dem System rumgetrieben.
Händlisch habe ich nun noch gesetzt:
Code: Alles auswählen
export QTDIR=/usr/share/qt3
export PATH=$PATH:$QTDIR/bin
ln -s /usr/lib64/libqt-mt.so.3 /usr/lib64/libqt-mt.so


qmake -v liefert auch brav
Code: Alles auswählen
Qmake version: 1.07a (Qt 3.3.8d)
Qmake is free software from Trolltech ASA.


Jetzt hänge ich hier fest:
Code: Alles auswählen
####################################################
# Installing the THELI GUI
####################################################

/usr/share/qt3/bin/uic theliform.ui -o .ui/theliform.h
/usr/share/qt3/bin/uic animate.ui -o .ui/animate.h
/usr/share/qt3/bin/uic cni_form.ui -o .ui/cni_form.h
/usr/share/qt3/bin/uic color_form.ui -o .ui/color_form.h
/usr/share/qt3/bin/uic combineimages.ui -o .ui/combineimages.h
/usr/share/qt3/bin/uic commhist.ui -o .ui/commhist.h
/usr/share/qt3/bin/uic imalyzer.ui -o .ui/imalyzer.h
/usr/share/qt3/bin/uic manualsky.ui -o .ui/manualsky.h
/usr/share/qt3/bin/uic parameters.ui -o .ui/parameters.h
/usr/share/qt3/bin/uic scamp_mosaictype.ui -o .ui/scamp_mosaictype.h
/usr/share/qt3/bin/uic statistics.ui -o .ui/statistics.h
/usr/share/qt3/bin/uic pmonitor.ui -o .ui/pmonitor.h
/usr/share/qt3/bin/uic zp.ui -o .ui/zp.h
g++ -c -pipe -g -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -I/usr/share/qt3/mkspecs/default -I. -I/usr/share/qt3/include -I.ui/ -I. -I.moc/ -o .obj/theli.o theli.cpp
theli.cpp:1:26: schwerwiegender Fehler: qapplication.h: Datei oder Verzeichnis nicht gefunden
#include <qapplication.h>
                          ^
Kompilierung beendet.
Makefile:213: recipe for target '.obj/theli.o' failed
make: *** [.obj/theli.o] Error 1



###################################################################
#
#         Installation finished.
#
#   TODO: You still have to include the directory
#         /home/zyrus/THELI/theli/bin/Linux_64/
#         in your PATH variable.
#
#   Your 'theli' executable is:
#   /home/zyrus/THELI/gui/theli
#   If you 'alias' it, you can launch THELI from anywhere.
#
#   Please acknowledge the following two papers when using THELI for your scientific work. Thank you!
#
#   Schirmer M. 2013, arXiv 1308.4989
#   Erben T. et al., 2005, AN, 326, 432
#
#   Have fun :-)
#
#
###################################################################


Das Headerfile habe ich im System hier überall:
Code: Alles auswählen
[root@workstation Downloads]# find / | grep qapplication.h
/root/build/qt-x11-free-3.3.8b/doc/html/qapplication.html
/root/build/qt-x11-free-3.3.8b/doc/html/qapplication-h.html
/root/build/qt-x11-free-3.3.8b/include/qapplication.h
/root/build/qt-x11-free-3.3.8b/src/kernel/qapplication.h
/usr/include/QtGui/qapplication.h
/usr/include/Qt/qapplication.h
/usr/include/qt3/qapplication.h
/usr/lib64/qt5/include/QtWidgets/qapplication.h


Danach schimpft er das noch qconfig.h und qmodules.h fehlen, die habe ich in /root/build/qt-x11-free-3.3.8b/include.
Also habe ich das Makefile angepasst:
INCPATH = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -I/root/build/qt-x11-free-3.3.8b/include -I/usr/share/qt3/include -I.ui/ -I. -I.moc/

Danach dann make -j5 und er hat weiter gemacht ohne Fehler.

Wenn ich aber dann theli starten will sehe ich kurz das Logobild und das kommt.
Code: Alles auswählen
[zyrus@workstation gui-2.8.3]$ ./theli
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  2
  Minor opcode:  0
  Resource id:  0x0
Speicherzugriffsfehler

Habe stark die Libs in Verdacht das da 64bit und 32bit durcheinander gekommen ist.
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz

Re: Theli GUI installation

Beitragvon Zyrusthc » Samstag 3. Mai 2014, 00:28

Soweit ich das sehen kann verwendet er die 64Bit Libs
Code: Alles auswählen
[zyrus@workstation gui-2.8.3]$ ldd ./theli
        linux-vdso.so.1 (0x00007ffff6ffe000)
        libqt-mt.so.3 => /lib64/libqt-mt.so.3 (0x00007f2afc184000)
        libXext.so.6 => /lib64/libXext.so.6 (0x00007f2afbf72000)
        libX11.so.6 => /lib64/libX11.so.6 (0x00007f2afbc37000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f2afba1a000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f2afb716000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f2afb413000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f2afb1fd000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f2afae48000)
        libmng.so.2 => /lib64/libmng.so.2 (0x00007f2afabd6000)
        libjpeg.so.8 => /lib64/libjpeg.so.8 (0x00007f2afa981000)
        libpng12.so.0 => /lib64/libpng12.so.0 (0x00007f2afa757000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f2afa53d000)
        libXrender.so.1 => /lib64/libXrender.so.1 (0x00007f2afa333000)
        libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007f2afa129000)
        libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007f2af9f1e000)
        libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007f2af9d1b000)
        libXft.so.2 => /lib64/libXft.so.2 (0x00007f2af9b06000)
        libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007f2af9874000)
        libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007f2af9638000)
        libSM.so.6 => /lib64/libSM.so.6 (0x00007f2af9430000)
        libICE.so.6 => /lib64/libICE.so.6 (0x00007f2af9214000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f2af9010000)
        libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f2af8df1000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f2afcb3e000)
        liblcms2.so.2 => /lib64/liblcms2.so.2 (0x00007f2af8b9b000)
        libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007f2af8995000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f2af8785000)
        libpng16.so.16 => /lib64/libpng16.so.16 (0x00007f2af8526000)
        libxml2.so.2 => /lib64/libxml2.so.2 (0x00007f2af81be000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f2af7fba000)
        libXau.so.6 => /lib64/libXau.so.6 (0x00007f2af7db6000)
        libXdmcp.so.6 => /lib64/libXdmcp.so.6 (0x00007f2af7bb0000)
        liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f2af797f000)


Im Anhang noch der strace fals es weiter hilft
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz

Re: Theli GUI installation

Beitragvon Zyrusthc » Samstag 3. Mai 2014, 01:57

Also hier nochmal ne Rückmeldung . Theli startet jetzt .
Den Durchbruch brauchte libqt3-mt-dev_3.3.8-e-0ubuntu12.10.0+0_amd64.deb , wieder mit alien in ein rpm umgewandelt und QTDIR nochmals geändert:
Code: Alles auswählen
export QTDIR=/usr/lib/qt3


Das Makefile dann so angepasst:
INCPATH = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -I/usr/share/qt3/include -I.ui/ -I. -I.moc/


Ich hoffe jetzt läuft auch alles so wie es soll. Trotzdem Danke
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz

Re: Theli GUI installation

Beitragvon Zyrusthc » Samstag 3. Mai 2014, 03:13

So nun alles durchtestet und für die Nachwelt. scamp hatte nochmal Ärger gemacht weil die lib nicht gepasst hatte.
Ich musste manuell mir die passende lib64png3-1.2.49-1.mga1.x86_64.rpm besorgen und installieren erzwingen da lib64png12_0-2:1.2.50-4.1.mga4.x86_64 akutell ist.
Code: Alles auswählen
urpmi --allow-force lib64png3-1.2.49-1.mga1.x86_64.rpm


Ganz schönes Gefrickel mit einer aktuellen Distri. Im Anhang noch ein Screenshot vom Testdurchlauf und Ergebnis mit 3 Lights und 3 Bias Frames
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz

Re: Theli GUI installation

Beitragvon Zyrusthc » Samstag 10. Mai 2014, 15:41

Eins muss ich noch mit anhängen für die Nachwelt. Mir ist aufgefallen das die astrometry.net nicht die pbm Unterstützung gebaut hat was beim kompilieren zu dieser Fehlermeldung geführt hat.
Code: Alles auswählen
os-features-test.c:88:17: schwerwiegender Fehler: pam.h: Datei oder Verzeichnis nicht gefunden

Und im nachhinein bei benutzen von solve-field dazu führte.
Code: Alles auswählen
cairoutils.c:728:cairoutils_read_ppm_stream: cairoutils.c:728:cairoutils_read_ppm_stream: Netpbm is not available; can't read PPM images


Lösung war es gui-2.8.3/packages/astrometry.net-0.43.tar.gz zu entpacken und die util/makefile.netpbm abzuändern.
Dort habe ich NETPBM_INC ?= in NETPBM_INC ?= -I /usr/include/netpbm geändert.
Danach wieder packen:
Code: Alles auswählen
cd gui-2.8.3/packages/
tar cfvz astrometry.net-0.43.tar.gz astrometry.net-0.43

Fals zuvor install.sh der gui schon ausgeführt wurde muss noch gui-2.8.3/packages/astrometry gelöscht werden.

Wer dann die Astrometry nutzen möchte um die Objekte in seinen Bildern einzeichnen zu lassen den interessiert dies dann noch:
Ein Verzeichnis erstellen für die indexes
Code: Alles auswählen
mkdir /home/zyrus/THELI/gui-2.8.3/packages/astrometry/data

Und das Verzeichnis bei add_path in /home/zyrus/THELI/gui-2.8.3/packages/astrometry/etc/backend.cfg angeben.

Und die indexes herunter geladen mit;
Code: Alles auswählen
cd  /home/zyrus/THELI/gui-2.8.3/packages/astrometry/data
for ((i=8; i<20; i++)); do wget http://broiler.astrometry.net/~dstn/4200/index-42`if [ $i -lt 10 ]; then echo "0"; fi`$i.fits; done;


Alles weitere macht man dann mit /home/zyrus/THELI/gui-2.8.3/packages/astrometry/build/bin/solve-field
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz

Re: Theli GUI installation

Beitragvon Zyrusthc » Samstag 10. Mai 2014, 16:52

Kann den Beitrag leider nicht mehr editieren.
Der Befehl für die indexes herunterladen laut so
Code: Alles auswählen
for ((i=7; i<20; i++)); do wget http://broiler.astrometry.net/~dstn/4100/index-41`if [ $i -lt 10 ]; then echo "0"; fi`$i.fits; done;

Und in der backend.cfg auch inparallel angeben.

Abschliessend kann ich mit dem Befehl dann die Objekte einzeichnen lassen "ATIK383LC an 420mm Scope"
Code: Alles auswählen
/home/zyrus/THELI/gui-2.8.3/packages/astrometry/build/bin/solve-field --overwrite --radius 15 --sigma 70 -N none -H 4.5 -L 1 bild.png
Zyrusthc
 
Beiträge: 84
Registriert: Freitag 2. Mai 2014, 19:03
Wohnort: im Harz


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast